Loading...
Searching...
No Matches
vcpu.h File Reference

vCPU support library (C interface). More...

`#include <l4/sys/vcpu.h>`
`#include <l4/sys/utcb.h>`
`#include <l4/sys/ipc.h>`
`#include <l4/vcpu/vcpu_arch.h>`
Include dependency graph for vcpu.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Functions

void | l4vcpu_irq_disable (l4_vcpu_state_t *vcpu) L4_NOTHROW
| Disable a vCPU for event delivery.
unsigned | l4vcpu_irq_disable_save (l4_vcpu_state_t *vcpu) L4_NOTHROW
| Disable a vCPU for event delivery and return previous state.
void | l4vcpu_irq_enable (l4_vcpu_state_t *vcpu, l4_utcb_t *utcb, l4vcpu_event_hndl_t do_event_work_cb, l4vcpu_setup_ipc_t setup_ipc) L4_NOTHROW
| Enable a vCPU for event delivery.
void | l4vcpu_irq_restore (l4_vcpu_state_t *vcpu, unsigned s, l4_utcb_t *utcb, l4vcpu_event_hndl_t do_event_work_cb, l4vcpu_setup_ipc_t setup_ipc) L4_NOTHROW
| Restore a previously saved IRQ/event state.
void | l4vcpu_wait_for_event (l4_vcpu_state_t *vcpu, l4_utcb_t *utcb, l4vcpu_event_hndl_t do_event_work_cb, l4vcpu_setup_ipc_t setup_ipc) L4_NOTHROW
| Wait for event.
void | l4vcpu_print_state (const l4_vcpu_state_t *vcpu, const char *prefix) L4_NOTHROW
| Print the state of a vCPU.
int | l4vcpu_is_irq_entry (l4_vcpu_state_t const *vcpu) L4_NOTHROW
| Return whether the entry reason was an IRQ/IPC message.
int | l4vcpu_is_page_fault_entry (l4_vcpu_state_t const *vcpu) L4_NOTHROW
| Return whether the entry reason was a page fault.
int | l4vcpu_ext_alloc (l4_vcpu_state_t **vcpu, l4_addr_t *ext_state, l4_cap_idx_t task, l4_cap_idx_t regmgr) L4_NOTHROW
| Allocate state area for an extended vCPU.

## Detailed Description

vCPU support library (C interface).

Definition in file vcpu.h.